@charset "utf-8";

/*
Theme Name: Katawara Child
Theme URI:
Template: katawara
Description:
Author:
Tags:
Text Domain: katawara
Version: 0.0.1
*/

@media screen and (min-width: 1200px) {
  html,
  body,
  .l-site {
    height: 100%;
  }

  /* htmlとbodyの両方に対してスクロールバーを消す */
  html,
  body {
    /* Chrome, Safari, Edge, Opera */
    scrollbar-width: none;
    -ms-overflow-style: none;
  }

  html::-webkit-scrollbar,
  body::-webkit-scrollbar {
    display: none;
  }

  .l-site-maincol-one{
    overflow: visible;
  }


  .p-global-menu > li a {
    transition: all 0.3s;
    white-space: nowrap;
  }
  .p-global-menu > li:hover a {
    background-color: #550c12;
    color: #fff;
  }

  .l-site-header {
    position: absolute;
    top: 0;
    left: 0;
    overflow: visible;
  }
  .l-site-container {
    position: fixed;
    top: 0;
    right: 0;
    margin: 0;
    width: calc(100% - 320px);
    height: 100%;
    overflow-y: scroll;
  }

  .p-global-menu > li {
    position: relative;
  }

  .p-global-menu > li > ul.sub-menu {
    display: block;
    position: absolute;
    top: 0;
    left: 100%;
    z-index: 999;
    opacity: 0;
    visiblity: noe;
    transition: all .3s;
  }

  .p-global-menu > li:hover > ul.sub-menu {
    opacity: 1;
    visiblity: visible;
    max-height: unset;
  }

  .p-global-menu > li > ul.sub-menu li{
        border-top:1px solid #FFF;
  }
  .p-global-menu > li > ul.sub-menu li:first-child{
        border-top:0;
  }

  .p-global-menu .acc-btn {
    display: none !important;
  }
}


/*----------------------------
 スライダー　動画＆vimeo用
----------------------------*/
@media screen and (max-width:767px){
  .swiper-wrapper{
    height:80vw;
  }
}
.swiper-slide video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
}

.slide-video-vimeo {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.slide-video-vimeo iframe {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%; 
    height: 100%; 
    min-width: 100%; 
    min-height: 100%; 
    transform: translate(-50%, -50%) scale(1.1);
    pointer-events: none; 
}
@media screen and (max-width:767px){
  .slide-video-vimeo {
      min-height: 56vw;
  }

  .slide-video-vimeo iframe {
    transform: translate(-50%, -50%) scale(1.43);
  }
}

/*----------------------------
 最近の投稿
----------------------------*/
h2.p-widget_title::before,
h2.p-widget_title::after{
    display:none;
}
h2.p-widget_title{
    color:#550c12;
    font-size:2.4em;
    font-weight:400;
    letter-spacing:0.2em;
    margin-bottom:0.6em;
}
.postListText {
    position: relative;
    padding-top: 2rem;
}
.postListText::after{
    content:'';
    position:absolute;
    right:0.7rem;
    bottom:1.2rem;
    display:block;
    width:0.6rem;
    height:0.6rem;
    border-top:1px solid #333;
    border-right:1px solid #333;
    transform: rotate(45deg);
}
.postListText_date {
    position: absolute;
    top: 0.8rem;
    left: 0;
}
.postListText_title a{
    display: inline-block;
    width: 100%;
    height: 100%;
}

.l-side-section .postListText_title{
    width: 100%;
    padding-top: 0.25rem;
}
.l-side-section .postListText::after{
    display:none;
}